发起问题

tjacc 的档案 - activity

2021-01-17 12:22:15 -0500 获得奖牌  受欢迎的问题 (source)
2021-01-17 12:22:15 -0500 获得奖牌  著名问题 (source)
2021-01-17 12:22:15 -0500 获得奖牌  热门的问题 (source)
2020-02-13 04:44:14 -0500 回答问题 Neutron RPC version mismatch between compute node and controller

As with most things to do with OpenStack that do not have an obvious answer, it was to do with the version of software running on the networking controller node. Upgrading from version 13 to 14 (to match the compute node), including upgrading python Neutron module from 2 to 3, seemed to fix it.

2020-02-07 04:48:24 -0500 问了问题 Neutron RPC version mismatch between compute node and controller

Hello,

I've just set up an OpenStack Stein cluster on Ubuntu 18.04 (Bionic). At the moment, the networking (Neutron) service on the compute node cannot register with the Neutron service on the controller:

Controller node [neutron-server.log]

2020-02-07 18:31:05.111 1127 ERROR oslo_messaging.rpc.server [-] Exception during message handling: UnsupportedVersion: Endpoint does not support RPC version 1.2. Attempted method: report_state
2020-02-07 18:31:05.111 1127 ERROR oslo_messaging.rpc.server Traceback (most recent call last):
2020-02-07 18:31:05.111 1127 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/dist-packages/oslo_messaging/rpc/server.py", line 166, in _process_incoming
2020-02-07 18:31:05.111 1127 ERROR oslo_messaging.rpc.server     res = self.dispatcher.dispatch(message)
2020-02-07 18:31:05.111 1127 ERROR oslo_messaging.rpc.server   File "/usr/lib/python2.7/dist-packages/oslo_messaging/rpc/dispatcher.py", line 276, in dispatch
2020-02-07 18:31:05.111 1127 ERROR oslo_messaging.rpc.server     raise UnsupportedVersion(version, method=method)
2020-02-07 18:31:05.111 1127 ERROR oslo_messaging.rpc.server UnsupportedVersion: Endpoint does not support RPC version 1.2. Attempted method: report_state
2020-02-07 18:31:05.111 1127 ERROR oslo_messaging.rpc.server

Compute node [neutron-linuxbridge-agent.log]

2020-02-07 18:36:05.133 2033 ERROR neutron.plugins.ml2.drivers.agent._common_agent [-] Failed reporting state!: oslo_messaging.rpc.client.RemoteError: Remote error: UnsupportedVersion Endpoint does not support RPC version 1.2. Attempted method: report_state
['Traceback (most recent call last):\n', '  File "/usr/lib/python2.7/dist-packages/oslo_messaging/rpc/server.py", line 166, in _process_incoming\n    res = self.dispatcher.dispatch(message)\n', '  File "/usr/lib/python2.7/dist-packages/oslo_messaging/rpc/dispatcher.py", line 276, in dispatch\n    raise UnsupportedVersion(version, method=method)\n', 'UnsupportedVersion: Endpoint does not support RPC version 1.2. Attempted method: report_state\n'].
2020-02-07 18:36:05.133 2033 ERROR neutron.plugins.ml2.drivers.agent._common_agent Traceback (most recent call last):
2020-02-07 18:36:05.133 2033 ERROR neutron.plugins.ml2.drivers.agent._common_agent   File "/usr/lib/python3/dist-packages/neutron/plugins/ml2/drivers/agent/_common_agent.py", line 130, in _report_state
2020-02-07 18:36:05.133 2033 ERROR neutron.plugins.ml2.drivers.agent._common_agent     True)
2020-02-07 18:36:05.133 2033 ERROR neutron.plugins.ml2.drivers.agent._common_agent   File "/usr/lib/python3/dist-packages/neutron/agent/rpc.py", line 101, in report_state
2020-02-07 18:36:05.133 2033 ERROR neutron.plugins.ml2.drivers.agent._common_agent     return method(context, 'report_state', **kwargs)
2020-02-07 18:36:05.133 2033 ERROR neutron.plugins.ml2.drivers.agent._common_agent   File "/usr/lib/python3/dist-packages/oslo_messaging/rpc/client.py", line 178, in call
2020-02-07 18:36:05.133 2033 ERROR neutron.plugins.ml2.drivers.agent._common_agent     retry=self.retry)
2020-02-07 18:36:05.133 2033 ERROR neutron.plugins.ml2.drivers.agent._common_agent   File "/usr/lib/python3/dist-packages/oslo_messaging/transport.py", line 128, in _send
2020-02-07 18:36:05.133 2033 ERROR neutron.plugins.ml2.drivers.agent._common_agent     retry=retry)
2020-02-07 18:36:05.133 2033 ERROR neutron.plugins.ml2.drivers.agent._common_agent   File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 645 ...
(more)
2020-02-06 22:21:59 -0500 回答问题 migration of digital ocean

Excellent question. What have you done so far?

You can try reading the https://docs.openstack.org/train/ (documentation), or launching a https://www.openstack.org/software/start/ (test instance), and see if it suits your requirements.

2020-02-06 20:11:24 -0500 回答问题 No lease, failing

What hypervisor are you using? I fell into this trap and spent a lot of time troubleshooting it, to find out that it was MAC address filtering performed by the hypervisor. See note 2 https://docs.openstack.org/install-guide/environment.html (here).